## net.i2p.crypto
Class TransientSessionKeyManager.TagSet

    java.lang.Object
      net.i2p.crypto.TransientSessionKeyManager.TagSet

Enclosing class:
  TransientSessionKeyManager

static class TransientSessionKeyManager.TagSet
extends java.lang.Object

Constructor Summary
`TransientSessionKeyManager.TagSet(java.util.Set tags, SessionKey key, long date)`

Method Summary
`void` `consume(SessionTag tag)`
`SessionTag` `consumeNext()`
`boolean` `contains(SessionTag tag)`
`boolean` `equals(java.lang.Object o)`
`SessionKey` `getAssociatedKey()`
`java.lang.Exception` `getCreatedBy()`
`long` `getDate()` when the tag set was created
`java.util.Set` `getTags()` tags still available
`int` `hashCode()`
`(package private) void` `setDate(long when)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TransientSessionKeyManager.TagSet

    public TransientSessionKeyManager.TagSet(java.util.Set tags,
                                             SessionKey key,
                                             long date)

Method Detail

### getDate

    public long getDate()

  when the tag set was created

### setDate

    void setDate(long when)

### getTags

    public java.util.Set getTags()

  tags still available

### getAssociatedKey

    public SessionKey getAssociatedKey()

### contains

    public boolean contains(SessionTag tag)

### consume

    public void consume(SessionTag tag)

### consumeNext

    public SessionTag consumeNext()

### getCreatedBy

    public java.lang.Exception getCreatedBy()

### hashCode

    public int hashCode()

### equals

    public boolean equals(java.lang.Object o)